library YPGL;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  U_DataLink in 'U_DataLink.pas' {DataLink_YPGL: TDataModule},
  U_GetDllForm in 'U_GetDllForm.pas',
  U_iniParam in 'U_iniParam.pas',
  U_KHGetCPManage in 'U_KHGetCPManage.pas' {frmKHGetCPManage},
  U_KHGetCPAdd in 'U_KHGetCPAdd.pas' {frmKHGetCPAdd},
  U_CPType in 'U_CPType.pas' {frmCPType},
  U_FileUp in 'U_FileUp.pas' {frmFileUp},
  U_KHGetY in 'U_KHGetY.pas' {frmKHGetY},
  U_CPAdd in 'U_CPAdd.pas' {frmCPAdd},
  U_SelExportField in '..\..\..\ThreeFun\Fun\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\..\..\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\..\..\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\..\..\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  U_YPCR in 'U_YPCR.pas' {frmYPCR},
  U_CPManage in 'U_CPManage.pas' {frmCPManage},
  U_ZDYHelp in '..\..\..\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_Fun in '..\..\..\ThreeFun\Fun\U_Fun.pas',
  U_SLT in 'U_SLT.pas' {frmSLT: TFrame},
  U_ZdyAttachGYS in 'U_ZdyAttachGYS.pas' {frmZdyAttachGYS},
  U_YPTypeHelp in '..\..\..\ThreeFun\Form\U_YPTypeHelp.pas' {frmYPTypeHelp},
  U_Fun10 in '..\..\..\ThreeFun\Fun\U_Fun10.pas';

// U_SelfForm in '..\..\SelfForm\U_SelfForm.pas',
 // U_SelExportField in '..\..\SelfForm\U_SelExportField.pas' {frmSelExportField},
 // U_SelPrintField in '..\..\SelfForm\U_SelPrintField.pas' {frmSelPrintField},
 // U_SelPrintFieldNew in '..\..\SelfForm\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  //U_FormPas in '..\CommonPas\formPas\U_FormPas.pas',
  //U_CxGridSet in '..\CommonPas\cxgridPas\U_CxGridSet.pas';

//U_RSFormPas in '..\CommonPas\RSCommon\U_RSFormPas.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
//     Application:=NewDllApp;
end;
exports
   GetDllForm;
begin
   try
     NewDllApp:=Application;
     DLLProc := @DLLUnloadProc;
   except

   end;
end.

